| mueval-core | Source code | Contents | Index

Mueval.ArgsParse

Synopsis

data Options = Options {

timeLimit :: Int
modules :: Maybe [String]
expression :: String
loadFile :: String
user :: String
printType :: Bool
extensions :: Bool
namedExtensions :: [String]
noImports :: Bool
rLimits :: Bool

}

interpreterOpts :: [String] -> (Options, [String])
getOptions :: [String] -> Options

Documentation

data Options | Source

See the results of --help for information on what each option means.
Constructors

Options |

timeLimit :: Int |
modules :: Maybe [String] |
expression :: String |
loadFile :: String |
user :: String |
printType :: Bool |
extensions :: Bool |
namedExtensions :: [String] |
noImports :: Bool |
rLimits :: Bool |

Instances

Show Options

interpreterOpts :: [String] -> (Options, [String]) | Source

getOptions :: [String] -> Options | Source

Just give us the end result options; this parsing for us. Bonus points for handling UTF.
Produced by Haddock version 2.4.2